libsqon
=======

SQON - Structured Query Object Notation (Delwink C Implementation)

Query SQL databases and get JSON results. Current target: MySQL.

Why SQON?
---------

The purpose of SQON is simple: to make interaction with SQL databases as easy
as any JSON API. So many languages interact flawlessly with JSON for data
transfer as well as (clearly) object notation.

This was created as a replacement for [cquel][1] that would make for an easier
library to wrap in the Python 3 language, which supports JSON objects in its
standard library. This replacement offers a far simpler API, and this provides
an environment less prone to bugs and memory leaks on the C side, making a
portable and stable library implementation.

See [INSTALL](INSTALL) for instructions on building and installing libsqon.

Practical Applications of libsqon
---------------------------------

libsqon is a fully-capable SQL query library for all its supported databases,
allowing one to submit an SQL query and be returned a JSON string containing
any selected data.

If you're working in a language where JSON is easier to deal with as a data
structure than that of your database connector API, you may find libsqon to be
the perfect choice, since a single line of code can be valid for any supported
database with just the change of an `int`.

Hacking
-------

libsqon uses the GNU coding style for C, and follows a strict 80-column limit
in its source code. Indentations are two spaces, and tab characters are eight
spaces. It is polite to use a tab character any time eight spaces would be
used, but not required.

To submit a patch, [submit your diff to Delwink][2] or use GitHub's pull
request system.

License
-------

libsqon is free software, released under the terms of version 3 of the GNU
Affero General Public License. You are free to copy, modify, and redistribute
this software and use it for whatever purpose.

[1]: http://delwink.com/software/cquel.html
[2]: mailto:contribute@delwink.com
